Name:       pyzy
Version:    0.1.0
Release:    12%{?dist}
Summary:    The Chinese PinYin and Bopomofo conversion library
License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/pyzy
Source0:    http://pyzy.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    http://pyzy.googlecode.com/files/pyzy-database-1.0.0.tar.bz2
Patch0:     pyzy-0.1.0-fixes-compile.patch

BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  sqlite-devel
BuildRequires:  libuuid-devel

# both android db and open phrase db are data files for pyzy, either one can be installed to provide pyzy-db.
Requires:   pyzy-db = %{version}-%{release}
Obsoletes:  ibus-pinyin-db-android
Provides:   ibus-pinyin-db-android
Obsoletes:  ibus-pinyin-db-open-phrase
Provides:   ibus-pinyin-db-open-phrase

%description
The Chinese Pinyin and Bopomofo conversion library.

%package    devel
Summary:    Development tools for pyzy
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   glib2-devel

%description devel
The pyzy-devel package contains the header files for pyzy.

%package    db-open-phrase
Summary:    The open phrase database for pyzy
Group:      System Environment/Libraries
BuildArch:  noarch
Provides:   pyzy-db

%description db-open-phrase
The phrase database for pyzy from open-phrase project.

%package    db-android
Summary:    The android phrase database for pyzy
Group:      System Environment/Libraries
BuildArch:  noarch
Provides:   pyzy-db

%description db-android
The phrase database for pyzy from android project.

%prep
%setup -q
cp -p %{SOURCE1} data/db/open-phrase
%patch0 -p1 -b .compile

%build
%configure --disable-static --enable-db-open-phrase
# make -C po update-gmo
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_datadir}/pyzy/phrases.txt
%{_datadir}/pyzy/db/create_index.sql
%dir %{_datadir}/pyzy
%dir %{_datadir}/pyzy/db

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files db-open-phrase
%{_datadir}/pyzy/db/open-phrase.db

%files db-android
%{_datadir}/pyzy/db/android.db

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 23 2015 Peng Wu <pwu@redhat.com> - 0.1.0-11
- Fixes compile

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Peng Wu <pwu@redhat.com> - 0.1.0-6
- Obsoletes ibus-pinyin-db

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Peng Wu <pwu@redhat.com> - 0.1.0-4
- Minor fixes.

* Thu Dec 13 2012 Peng Wu <pwu@redhat.com> - 0.1.0-3
- Improves spec file.

* Tue Dec 11 2012 Peng Wu <pwu@redhat.com> - 0.1.0-2
- Fixes spec file.

* Fri Aug 08 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.0-1
- The first version.
